package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 已读表单类型枚举
 */
@Getter
@AllArgsConstructor
public enum BaseReadTypeEnum {

    CHECK_TASK("CHECK_TASK", "检查任务表");

    private final String code;
    private final String desc;

    public static BaseReadTypeEnum getByCode(String code) {
        for (BaseReadTypeEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
